File gnome-bluetooth.changes of Package gnome-bluetooth

-------------------------------------------------------------------
Thu May 19 12:02:29 UTC 2011 - fcrozat@suse.com

- Requires obexd-client, not obexd, to fix sending files.
  bnc#680770.

-------------------------------------------------------------------
Sun Feb 13 14:19:21 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %desktop_database_post/postun because the package ships at
    least one desktop file.
  + %icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.

-------------------------------------------------------------------
Fri Oct  1 18:08:32 CEST 2010 - vuntz@opensuse.org

- Add gnome-bluetooth-fix-introspection-build.patch, which
  obsoletes gnome-bluetooth-fix-parallel-build.patch: this updated
  patch will really fix the build with recent
  gobject-introspection.

-------------------------------------------------------------------
Tue Sep 28 18:51:54 CEST 2010 - vuntz@opensuse.org

- Update to version 2.32.0:
  + Updated translations.

-------------------------------------------------------------------
Sun Sep 19 00:50:00 CEST 2010 - vuntz@opensuse.org

- Move gir files to devel subpackage.

-------------------------------------------------------------------
Sun Sep 19 00:16:15 CEST 2010 - vuntz@opensuse.org

- Remove gir-repository BuildRequires: this was only needed for the
  DBusGLib gir, which is now part of gobject-introspection.
- Add gnome-bluetooth-fix-parallel-build.patch: this updates the
  build system for introspection, to work correctly. This requires
  the gnome-common BuildRequires and the call to gnome-autogen.sh.

-------------------------------------------------------------------
Mon Sep 13 18:00:37 CEST 2010 - vuntz@opensuse.org

- Update to version 2.31.90:
  + More killswitch fixes
  + Fix crasher when Bluetooth nautilus-sendto plugin is loaded

-------------------------------------------------------------------
Mon Sep  6 14:09:30 CEST 2010 - vuntz@opensuse.org

- Do not add a GenericName to bluetooth-applet.desktop: it's an
  autostart file, so it's not needed.
- Do not add/change GenericName and Name for
  bluetooth-properties.desktop: it only appears in the control
  center now, and we don't need to change those keys in this case
  (the changes made sense for the applications menu).

-------------------------------------------------------------------
Fri Aug 27 23:34:58 CEST 2010 - vuntz@opensuse.org

- Add Supplements to automatically install plugins-geoclue if
  gnome-bluetooth and geoclue are installed.

-------------------------------------------------------------------
Fri Aug  6 11:18:41 CEST 2010 - vuntz@opensuse.org

- Update to version 2.31.6:
  + Allow setting up devices that do not use pairing
  + Port to GSettings instead of GConf
  + Properties:
    - Add specific page when the only adapter is hard blocked
      through a physical killswitch
- Remove --disable-schemas-install from configure call
  (gconf-specific) and update packaging to handle GSettings schemas
  instead of gconf schemas.
- Rename libgnome-bluetooth7 to libgnome-bluetooth8 after bump in
  library soname.

-------------------------------------------------------------------
Tue Aug  3 19:43:52 UTC 2010 - dimstar@opensuse.org

- Require bluez and obexd, fixes bnc#622946.

-------------------------------------------------------------------
Mon Jun 21 12:10:58 CEST 2010 - vuntz@opensuse.org

- Revert previous change about adding HardwareSettings category to
  bluetooth-properties.desktop, post-11.3.

-------------------------------------------------------------------
Mon Jun 21 12:09:37 CEST 2010 - vuntz@opensuse.org

- Add HardwareSettings category to bluetooth-properties.desktop to
  make it appear at the right place. This is needed because
  update-desktop-files won't keep the X-GNOME-* categories in 11.3.

-------------------------------------------------------------------
Fri Jun  4 17:47:03 CEST 2010 - vuntz@opensuse.org

- Fix calls to suse_update_desktop_file: the arguments were not in
  the right order.

-------------------------------------------------------------------
Mon Mar 29 22:08:35 CEST 2010 - vuntz@opensuse.org

- Update to version 2.30.0:
  + Add PIN code for Navman GPS
  + Updated translations.

-------------------------------------------------------------------
Mon Feb 15 17:27:34 CET 2010 - dimstar@opensuse.org

- Update to version 2.29.91:
  + Mention gnome-user-share in the documentation
  + Applet:
    - Link to the sound preferences for audio devices
    - Remove hard-coded use of nautilus
  + Library:
    - Use spinner from GTK+
    - Install introspection data properly
    - API documentation fixes
    - Fix some parts of the UI not being translated at run-time
  + Wizard:
    - Fix run-time warning when pairing a new device
  + Moblin applet;
    - Add summary page support
    - Fix a number of memory leaks and possible crashers
  + Sendto:
    - Fix crash when obex-client isn't already running
    - Make Cancel button actually work
    - Implement "retry" when sending fails
    - Fix progress bar when sending multiple files
- Drop upstream merged gnome-bluetooth-introspection-install.patch.

-------------------------------------------------------------------
Thu Dec 10 20:35:21 UTC 2009 - aj@suse.de

- Remove unused BuildRequires hal-devel

-------------------------------------------------------------------
Thu Dec  3 11:07:48 CET 2009 - vuntz@opensuse.org

- Update to version 2.29.3:
  + Build and install nautilus-sendto plugin by default
  + Preferences:
    - Add a button to access "Personal File Sharing" preferences
  + Library:
    - Clean up combo box selection widget
    - Make it possible to set the selected device in the chooser
    - Make the button chooser select the device when popping up a
      dialogue
  + Sendto:
    - Wrap errors instead of clipping them
  + Wizard:
    - Make it possible to re-pair devices
- Changes from version 2.29.2:
  + Add Moblin front-end for gnome-bluetooth
  + Add experimental nautilus-sendto plugin
  + Applet:
    - Fix applet showing the wrong connection information
    - Use separate icon for the status icon, for monochromatic
      themes
    - Add discoverable menu item
    - Fix a number of rfkill related bugs
  + Library:
    - Make it possible use another widget for device filtering
    - Don't overwrite UUIDs when discovering known devices
    - Add BluetoothChooserCombo widget
    - Fix usage under non-UTF-8 locales
- Add nautilus-sendto-devel BuildRequires and create
  nautilus-sendto-plugin-bluetooth subpackage.
- Enable introspection: add gir-repository and
  gobject-introspection-devel BuildRequires, pass
  --enable-introspection to configure.
- Add gnome-bluetooth-introspection-install.patch to fix
  installation of introspection data.

-------------------------------------------------------------------
Sat Oct 24 18:18:53 UTC 2009 - andrea@opensuse.org

- added LXDE support to /etc/xdg/autostart/bluetooth-applet.desktop

-------------------------------------------------------------------
Tue Sep 29 10:01:20 CEST 2009 - vuntz@opensuse.org

- Update to version 2.28.1:
  + Applet:
    - Fix most devices showing up as connected when they aren't
    - Make sure the pairing agent is only bound to the default
      adapter
  + All:
    - String fixes
    - API documentation updates
    - Filtering fixes in the BluetoothChooser

-------------------------------------------------------------------
Tue Sep 22 18:18:21 CEST 2009 - dimstar@opensuse.org

- Update to version 2.28.0:
  + Applet:
    - Applet fails to connect to disconnected audio devices
    - Fix crash when getting a pairing request from a known rfcomm
      device
  + Wizard:
    - Fix pairing of devices that require a PIN entry

-------------------------------------------------------------------
Thu Sep  3 09:29:41 CEST 2009 - dimstar@opensuse.org

- Update to version 2.27.90:
  + Fix crasher when exiting and the NetworkManager plugin was
    installed.
  + Fix wizard not loading because of a bug in the UI definition.
  + Fix keyboard not working.

-------------------------------------------------------------------
Wed Aug  5 11:31:07 CEST 2009 - dominique-obs@leuenberger.net

- Update to version 2.27.9:
  + All:
    - Port to using new rfkill API in Linux kernel 2.6.31
  + Applet:
    - Hide unwanted menu items when Bluetooth isn't available
    - Fix connecting to Sony Ericsson phones
    - Fix a crash when disconnecting an audio device
    - Fix devices showing up as connected when they were not
  + Properties:
    - Close the preferences dialogue when pressing 'Esc'
  + Wizard:
    - Mention "enter" when pairing a keyboard
    - String fixes
  + Library:
    - Track whether devices are connecting, as opposed to already
      connected

-------------------------------------------------------------------
Fri Jul 31 21:22:44 CEST 2009 - vuntz@novell.com

- Remove Obsoletes for libgnome-bluetooth2 and libgnome-bluetooth6.

-------------------------------------------------------------------
Wed Jul 29 17:19:44 CEST 2009 - dominique-obs@leuenberger.net

- Update to version 2.27.8:
  + All:
    - A number of UI strings changes
  + Applet:
    - Make "Connect" in the menu for devices appear correctly after
      pairing
    - Filter for paired ObexFTP devices in the browse menu item
  + Preferences:
    - Add link to help
  + Wizard:
    - Fix crash when selecting a device where the name hasn't been
      resolved yet
  + Library:
    - Add introspection support
    - Export device and adapter models for easy enumeration
    - Fix broken filtering for device category
    - Fix possible crasher in spinner widget
    - Ellipsise names in the chooser widget
    - A number of API documentation fixes
- Rename libgnome-bluetooth6 to libgnome-bluetooth7 because of
  soname change.
- Have libgnome-bluetooth7 Obsoletes libgnome-bluetooth6.

-------------------------------------------------------------------
Sun Jun 28 01:33:35 CEST 2009 - captain.magnus@opensuse.org

- Update to version 2.27.7.1:
  + When deleting a device, pass it through the plugins
    to delete any other associations
  + Add a test program
  + Add Geoclue GPS setup plugin
  + Fix pairing some fixed PIN devices, and misc fixes
- Create subpackage plugins-geoclue

-------------------------------------------------------------------
Wed Jun 17 15:29:05 CEST 2009 - vuntz@novell.com

- Update to version 2.27.6:
  + Applet:
    - Use a better tooltip for the applet
    - Add "Send File" and "Browse files" menu item for devices that
      support it
    - Add menu items to call the preferences for mice and keyboards
    - Fix assertions when removing a device, and pairing it again
      without the applet being restarted
    - Don't show "Connect" for devices without input or audio
      capabilities
    - Support notification-daemon without any support for actions,
      as used in Ubuntu
    - Pass the device name to bluetooth-sendto
    - Rework UI of all the pairing helper dialogues
  + Preferences:
    - Fix the adapter page not showing up when restarting
      bluetoothd
    - Add --dump debug option, to dump a list of all known devices
      and their properties
  + Send-to:
    - Fix warning when sending an empty file
    - Remove use of red labels on errors
    - Remove obex-data-server support, and require obexd
    - Try harder to get a device name
  + Wizard:
    - Fix handling for devices that use random passkeys, but can't
      handle 6 digits (such as Sony CMT-DH5BT)
    - Add Simple Pairing support
    - Try harder to connect to devices after pairing them, fixes
      the Microsoft Wireless Notebook Presenter Mouse 8000 not
      working straight after pairing
    - Allow skipping name resolution when we would be using a fixed
      passkey
    - Don't allow stepping back in the middle of pairing
    - Add more instructions on the front page
    - Many many UI changes
  + Library:
    - Allow getting arbitrary data from the backend for
      BluetoothChooser users
    - Only export the supported symbols in the library
    - Add plugin support, so third-party applications can be setup,
      for a particular device, from the preferences or the wizard
    - Replace the search button with a "Searching" label and spinner
- Rename libgnome-bluetooth2 to libgnome-bluetooth6, and have it
  Obsoletes libgnome-bluetooth2 <= 2.27.5.

-------------------------------------------------------------------
Thu May  7 05:02:18 CEST 2009 - vuntz@novell.com

- Update to version 2.27.5:
  + Fix some killswitch related bugs
  + Work with older versions of Pango
  + Fix pairing with Blackberry and Samsung phones
  + Use the services status to check the connection status, makes
    connecting/disconnecting devices much faster
  + Add a quit menu to the applet, when in debug mode
  + Fix passkey special-casing when a OUI is used

-------------------------------------------------------------------
Sun May  3 10:12:19 CEST 2009 - mboman@suse.de

- Change BuildRequires from unique-devel to libunique-devel

-------------------------------------------------------------------
Tue Apr 14 18:46:42 CEST 2009 - vuntz@novell.com

- Update to version 2.27.4:
  + Fix display of labels on the passkey page, and of the passkey
    on the passkey options dialogue
  + More use of GtkBuilder in the wizard
  + First pass at user-targetted documentation
  + Fix a few memory leaks
  + Fix crash when running properties installed
- Changes from version 2.27.3:
  + Fix schema installation
  + Make sure the applet works even without the schema being
    installed properly
  + Fix display of devices with underscores in their name in the
    applet
  + Fix some devices with no real audio support (AVCRP phones for
    example) showing up in the applet
- Add gnome-doc-utils-devel BuildRequires.
- Pass --disable-scrollkeeper to configure.
- Package documentation too.
- Use fdupes.

-------------------------------------------------------------------
Thu Apr  9 01:09:33 CEST 2009 - vuntz@novell.com

- Update to version 2.27.2:
  + General:
    - Use our own "paired" icon, to avoid confusion in some themes
    - Remove "Trust" from the UI, it's an implementation detail
    - Group input and audio device-types under the same heading in
      the chooser
  + Applet:
    - Use new "disabled" icons
    - Add a status label for the killswitch menu item
    - Add the ability to connect/disconnect from devices directly
      from the applet's menu
  + Properties:
    - Only show the default adapter, and simplify the UI
    - Show a way to turn off the killswitch when there's no
      Bluetooth adapters in the machine
  + Wizard:
    - Don't show "Enter passkey" when we know the passkey of the
      device already
    - Remove special-casing of mice, and PS3 BD remote from the
      code and into the database
    - Move passkey options button back into the content area, from
      the action area
    - Simplify passkey options dialogue
    - Connect to input and audio devices when setup finishes
    - Mark all the newly paired devices as trusted
    - Fix the wizard not allowing to get past the search page when
      the device selected didn't have a name at first
    - Port quirks database to XML
    - Add quirk for the Bluemax Bluetooth GPS Receiver GPS-009
    - Add quirk for the Nintendo Wiimote
    - Add quirk for iBT-GPS, and another GPS
  + Sendto:
    - Fix obex-data-server support

-------------------------------------------------------------------
Mon Mar 16 14:46:16 CET 2009 - sbrabec@suse.cz

- Added support for translation-update-upstream (FATE#301344).

-------------------------------------------------------------------
Sun Mar 15 20:05:09 CET 2009 - vuntz@novell.com

- Add Obsoletes/Provides for libgnomebt-devel.
- Make gnome-bluetooth Obsoletes/Provides bluez-gnome since it's a
  drop-in replacement for bluez-gnome.
- Don't set the name in bluetooth-applet.desktop to the preexisting
  value.

-------------------------------------------------------------------
Sat Mar  7 00:28:11 CET 2009 - mboman@suse.de

- Update to version 2.27.1:
  + This is basically a new package, forked from bluez-gnome

-------------------------------------------------------------------
Sun Feb 22 17:49:49 CET 2009 - vuntz@novell.com

- Update to version 0.12.0:
  + Remove gnome-obex-server, as it's replaced by gnome-user-share
- Drop BuildRequires: perl-XML-Parser, update-desktop-files
- Drop Requires: gnome-vfs2
- soname changed, so rename libgnometbt0 to libgnomebt1. No
  Provides/Obsoletes since it's not the case.
- Remove gnome-bluetooth package since it only contains data that
  should be in libgnomebt1 now. Have libgnomebt1 Obsolete/Provide
  it.

-------------------------------------------------------------------
Fri Mar 21 19:35:21 CET 2008 - jpr@suse.de

- Remove incorrect libgnomebt-devel requires
- Remove .la files

-------------------------------------------------------------------
Fri Feb  1 15:04:39 CET 2008 - rodrigo@suse.de

- Update to version 0.11.0:
  * Remove gnome-obex-send as it's replaced by bluez-gnome's
    bluetooth-sendto 

-------------------------------------------------------------------
Tue Oct 30 10:22:16 CET 2007 - coolo@suse.de

- also obsolete 0.8.0

-------------------------------------------------------------------
Thu Oct 25 16:25:05 CEST 2007 - jpr@suse.de

- Update to 0.9.1
 * Fix a typo that meant the obex server was crashing when receiving
   a file
 * Send a disconnect when we finish sending a file, fixes reception
   of files on some devices
 * Use new GTK+ features for the tray icon
 * Build fixes
- Remove gnome-bluetooth-desktop.diff and use 
  %suse_update_desktop_file instead
- Remove gnome-bluetooth-pixmapsdir.patch, the icon hierarchy is used
  now
- Remove gnome-bluetooth-transparent-trayicon.patch and 
  dont-disable-deprecated, libegg is no  longer used
- Remove gnome-bluetooth-fail-cleanly.patch, the UI it changed is 
- Split off libgnomebt0, python-gnome-bluetooth and 
  gnome-bluetooth-lang
- Rename gnome-bluetooth-devel to libgnomebt-devel
  
-------------------------------------------------------------------
Wed Aug  8 18:53:55 CEST 2007 - maw@suse.de

- Use %fdupes
- Split off a -lang subpackage
- s#%run_ldconfig#/sbin/ldconfig/ in %post and %postun.

-------------------------------------------------------------------
Fri Jul 27 20:53:00 CEST 2007 - maw@suse.de

- Add dont-disable-deprecated.patch.

-------------------------------------------------------------------
Wed May 23 14:23:03 CEST 2007 - prusnak@suse.cz

- added libusb-devel to BuildRequires
- added libopenssl-devel to Requires of devel subpackage

-------------------------------------------------------------------
Fri May 18 13:04:50 CEST 2007 - prusnak@suse.cz

- removed X-SuSE-translate from desktop file

-------------------------------------------------------------------
Thu May  3 17:41:34 CEST 2007 - prusnak@suse.cz

- changed expat to libexpat-devel in Requires of devel subpackage

-------------------------------------------------------------------
Sun Feb 18 17:55:03 CET 2007 - aj@suse.de

- Cleanup BuildRequires.

-------------------------------------------------------------------
Fri Jan 19 00:22:57 CET 2007 - jhargadon@suse.de

- removed useless .la files (#223699) 

-------------------------------------------------------------------
Tue Dec 19 12:08:07 CET 2006 - sbrabec@suse.cz

- Spec file cleanup.

-------------------------------------------------------------------
Mon Dec 18 11:51:05 CST 2006 - maw@suse.de

- Move to /usr.

-------------------------------------------------------------------
Thu Nov 30 15:41:23 CET 2006 - sbrabec@suse.cz

- Fixed devel dependencies.

-------------------------------------------------------------------
Tue Sep 19 22:22:21 CEST 2006 - jhargadon@suse.de

- update to version 0.8.0
- Fix icons not showing up properly
- Allow passing URIs as well as local filenames to gnome-obex-send
- Save to ~/Desktop/Downloads by default, then fallback to ~/Desktop and ~/,
   as Epiphany does, or to the user specified directory
- Remove direct openobex and bluez-devel dependencies, as well as gnome-vfs
- Remove the useless gnome-bluetooth-manager
- translation updates

-------------------------------------------------------------------
Wed Aug 16 12:13:13 CEST 2006 - cthiel@suse.de

- buildrequire python-gtk-devel instead of python-gtk

-------------------------------------------------------------------
Wed Aug 16 02:09:26 CEST 2006 - ro@suse.de

- added python-gobject2-devel to BuildRequires 

-------------------------------------------------------------------
Mon Mar 20 22:51:31 CET 2006 - danw@suse.de

- Fail cleanly (with a dialog rather than a message to stderr) if
  bluetooth is not configured on the machine. #140780

-------------------------------------------------------------------
Fri Mar 10 16:35:50 CET 2006 - danw@suse.de

- Make the gnome-obex-server trayicon transparent. #155345

-------------------------------------------------------------------
Sat Feb 18 10:26:56 CET 2006 - stbinner@suse.de

- move GenericName entries in .desktop files to Comment

-------------------------------------------------------------------
Mon Feb  6 09:26:34 CET 2006 - hpj@suse.de

- Added Rodney's pixmap path patch.

-------------------------------------------------------------------
Wed Jan 25 21:31:41 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Tue Nov 29 17:19:44 CET 2005 - sbrabec@suse.cz

- Updated to version 0.7.0.

-------------------------------------------------------------------
Wed Nov  9 19:25:10 CET 2005 - sbrabec@suse.cz

- Fixed more random return values.
- Removed .mo install hack, locales now install properly.

-------------------------------------------------------------------
Thu Nov  3 13:20:22 CET 2005 - sbrabec@suse.cz

- Updated to version 0.6.0.

-------------------------------------------------------------------
Wed Nov  2 22:06:41 CET 2005 - dmueller@suse.de

- don't build as root 

-------------------------------------------------------------------
Wed Jun  1 18:12:37 CEST 2005 - sbrabec@suse.cz

- Fixed devel requirements.

-------------------------------------------------------------------
Wed May  4 16:10:59 CEST 2005 - sbrabec@suse.cz

- Fixed some GCC 4 warnings.

-------------------------------------------------------------------
Wed Apr 27 13:39:05 CEST 2005 - sbrabec@suse.cz

- Added gnome hbox patch from Harald Hoyer <harald@redhat.com>
  (#72172).
- Added patch for crash on file send.
  http://bugzilla.gnome.org/show_bug.cgi?id=150388

-------------------------------------------------------------------
Thu Nov 25 00:02:19 CET 2004 - ro@suse.de

- fix build with new python2.4 

-------------------------------------------------------------------
Tue Nov 23 17:30:05 CET 2004 - hvogel@suse.de

- correct desktop files
- include icon
- fix ac-quotation

-------------------------------------------------------------------
Wed Sep  8 02:01:20 CEST 2004 - ro@suse.de

- require python-gnome instead of gnome-python

-------------------------------------------------------------------
Fri Sep  3 11:48:24 CEST 2004 - hhetter@suse.de

- use lib64 on 64bit systems in PYTHONPATH 

-------------------------------------------------------------------
Thu Sep  2 16:23:32 CEST 2004 - hhetter@suse.de

- part of Bug #44638, require gnome-python, fix PYTHONPATH
  in gnome-bluetooth-manager

-------------------------------------------------------------------
Mon Aug  2 16:16:03 CEST 2004 - ro@suse.de

- update to 0.5.1 to make it build again with current environment

-------------------------------------------------------------------
Thu Jan 29 10:25:10 CET 2004 - hhetter@suse.de

- initial SUSE package
openSUSE Build Service is sponsored by